Mixedbread

Create Store

Create a new store.

POST
/v1/stores

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Api key to access Mixedbreads API

Request Body

application/json
  1. body

The store details for creation

name?|

Name for the new store. Can only contain lowercase letters, numbers, periods (.), and hyphens (-).

description?|

Description of the store

is_public?Is Public

Whether the store can be accessed by anyone with valid login credentials

Defaultfalse
license?|

License for public stores

expires_after?|

Optional expiration policy

metadata?|

Optional metadata key-value pairs

tags?array<string>

Tags for organizing stores. Trimmed, lowercased and deduplicated.

Itemsitems <= 32
config?|

Store-level configuration defaults

file_ids?array<>|

Optional list of file IDs

Response Body

The details of the created store

application/json
  1. response

Model representing a store with its metadata and timestamps.

id*Id

Unique identifier for the store

name*Name

Name of the store

Length1 <= length <= 128
description?|

Detailed description of the store's purpose and contents

is_public?Is Public

Whether the store can be accessed by anyone with valid login credentials

Defaultfalse
license?|

License for public stores

metadata?|

Additional metadata associated with the store

tags?array<string>

Tags for organizing stores

config?|

Store-level configuration defaults

bucket_id?|

Customer bucket backing this store's storage; null = platform default

file_counts?

Counts of files in different states

expires_after?|

Optional expiration policy

status?StoreStatus

Processing status of the store

Default"completed"
Value in"expired""in_progress""completed""failed"
created_at*Created At

Timestamp when the store was created

Formatdate-time
updated_at*Updated At

Timestamp when the store was last updated

Formatdate-time
last_active_at?|

Timestamp when the store was last used

usage_bytes?Usage Bytes

Total storage usage in bytes

Default0
usage_tokens?Usage Tokens

Total storage usage in tokens

Default0
expires_at?|

Optional expiration timestamp for the store

copy_state?|

Set while the store is being copied from or into, and when a copy into it failed

object?Object

Type of the object

Default"store"
from mixedbread import Mixedbreadmxbai = Mixedbread(api_key="YOUR_API_KEY")store = mxbai.stores.create(    name="my-knowledge-base", description="Product documentation and FAQs")print(store)
{  "id": "vs_abc123",  "object": "store",  "name": "product-documentation",  "description": "Product documentation and FAQs",  "is_public": false,  "metadata": {},  "tags": [],  "config": {    "contextualization": {      "with_metadata": false,      "with_file_context": false    }  },  "file_counts": {    "in_progress": 0,    "completed": 0,    "failed": 0,    "cancelled": 0,    "pending": 0,    "total": 0  },  "status": "completed",  "usage_bytes": 0,  "usage_tokens": 0,  "expires_after": null,  "expires_at": null,  "created_at": "2025-01-15T10:30:00.000Z",  "updated_at": "2025-01-15T10:30:00.000Z",  "last_active_at": null}